package {
	import flash.display.Sprite;
	import flash.display.StageScaleMode;
	import flash.net.URLRequest;

	public class DynamicSlideshow extends Sprite
	{
		public function DynamicSlideshow()
		{
			stage.scaleMode = StageScaleMode.NO_SCALE;
			
			//var slidesfile:URLRequest = new URLRequest("data/slides.xml");
			//var delaytime:Number = 3000;
			//var tweentime:Number = 1;
			
			var slidesfile:URLRequest = new URLRequest(root.loaderInfo.parameters["slidesfile"]);
			var delaytime:Number = root.loaderInfo.parameters["delaytime"];
			var tweentime:Number = root.loaderInfo.parameters["tweentime"];
			
			if(delaytime < 1000)
			{
				delaytime = 1000;
			}
			
			if(tweentime < 0.1)
			{
				tweentime = 0.1;
			}
			
			if(tweentime > (delaytime/10000))
			{
				tweentime = (delaytime/10000);
			}
			
			var slideengine:SlideEngine = new SlideEngine(stage, slidesfile, delaytime, tweentime);
		}
	}
}
